Docs
V2 APIFloor Plans

Get floor plan

GET/api/v2/floor-plans/{floor_plan}

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Path Parameters

floor_plan*string

Floor plan UUID. This route does not accept a slug.

Formatuuid

Query Parameters

account_id?string

Optional account to run this request against. Defaults to the account the API token is scoped to, so callers with a single account can omit it. Must be an account the authenticated user belongs to; staff may target any account. For write requests the value may be sent in the JSON body instead of the query string. The resolved account is returned on the X-Resi-Account-Id response header.

Formatuuid

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/api/v2/floor-plans/497f6eca-6276-4993-bfeb-53cbbbba6f08"
{  "data": {    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",    "created_at": "2019-08-24T14:15:22Z",    "updated_at": "2019-08-24T14:15:22Z",    "property_id": "05003a8a-8f3c-454b-8884-a906ec46f5f5",    "name": "string",    "is_enabled": true,    "is_featured": true,    "has_specials": true,    "code": "string",    "description": "string",    "min_rent": 0,    "max_rent": 0,    "min_base_rent": 0,    "max_base_rent": 0,    "monthly_fee_total": 0,    "monthly_fee_total_max": 0,    "upfront_fee_total": 0,    "fee_breakdown": [      {        "fee_id": "6a6e29c0-8cb8-4e1c-8beb-6b16e737bdd5",        "code": "string",        "name": "string",        "description": "string",        "class": "string",        "currency": "string",        "requirement": "string",        "frequency": "string",        "lifecycle": "string",        "basis": "string",        "refundability": "string",        "calculated_amount": 0,        "calculated_amount_max": 0,        "monthly_equivalent": 0,        "monthly_equivalent_max": 0,        "included_in_tmlp": true,        "is_variable": true,        "term_restricted": true,        "source_scope": "string",        "unit_types": [          "string"        ],        "floor_plans": [          "string"        ]      }    ],    "fees_synced_at": "2019-08-24T14:15:22Z",    "min_sqft": 0,    "max_sqft": 0,    "min_bed": 0,    "max_bed": 0,    "min_bath": 0,    "max_bath": 0,    "min_deposit": 0,    "max_deposit": 0,    "available_at": "2019-08-24",    "reference_id": "string",    "sort_order": 0,    "tags": [      null    ],    "slug": "string",    "floor_plan_2d": [      {        "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",        "url": "string",        "thumb_url": "string",        "full_url": "string",        "caption": "string",        "alt_text": "string",        "tags": [          "string"        ],        "reference_url": "string",        "reference_id": "string",        "property_id": "05003a8a-8f3c-454b-8884-a906ec46f5f5",        "folder_id": "7695bac3-9397-4ec2-9335-45a2a16f1901"      }    ],    "floor_plan_3d": [      {        "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",        "url": "string",        "thumb_url": "string",        "full_url": "string",        "caption": "string",        "alt_text": "string",        "tags": [          "string"        ],        "reference_url": "string",        "reference_id": "string",        "property_id": "05003a8a-8f3c-454b-8884-a906ec46f5f5",        "folder_id": "7695bac3-9397-4ec2-9335-45a2a16f1901"      }    ],    "pdfs": [      {        "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",        "url": "string",        "thumb_url": "string",        "full_url": "string",        "caption": "string",        "alt_text": "string",        "tags": [          "string"        ],        "reference_url": "string",        "reference_id": "string",        "property_id": "05003a8a-8f3c-454b-8884-a906ec46f5f5",        "folder_id": "7695bac3-9397-4ec2-9335-45a2a16f1901"      }    ],    "images": [      {        "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",        "url": "string",        "thumb_url": "string",        "full_url": "string",        "caption": "string",        "alt_text": "string",        "tags": [          "string"        ],        "reference_url": "string",        "reference_id": "string",        "property_id": "05003a8a-8f3c-454b-8884-a906ec46f5f5",        "folder_id": "7695bac3-9397-4ec2-9335-45a2a16f1901"      }    ],    "videos": [      {        "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",        "type": "string",        "provider": "string",        "url": "string",        "title": "string",        "settings": {},        "tags": [          "string"        ],        "sort_order": 0,        "image": {          "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",          "url": "string",          "thumb_url": "string",          "full_url": "string",          "caption": "string",          "alt_text": "string",          "tags": [            "string"          ],          "reference_url": "string",          "reference_id": "string",          "property_id": "05003a8a-8f3c-454b-8884-a906ec46f5f5",          "folder_id": "7695bac3-9397-4ec2-9335-45a2a16f1901"        }      }    ],    "virtual_tours": [      {        "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",        "type": "string",        "provider": "string",        "url": "string",        "title": "string",        "settings": {},        "tags": [          "string"        ],        "sort_order": 0,        "image": {          "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",          "url": "string",          "thumb_url": "string",          "full_url": "string",          "caption": "string",          "alt_text": "string",          "tags": [            "string"          ],          "reference_url": "string",          "reference_id": "string",          "property_id": "05003a8a-8f3c-454b-8884-a906ec46f5f5",          "folder_id": "7695bac3-9397-4ec2-9335-45a2a16f1901"        }      }    ],    "property": {      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "created_at": "2019-08-24T14:15:22Z",      "updated_at": "2019-08-24T14:15:22Z",      "name": "string",      "is_enabled": true,      "description": "string",      "urls": {},      "office_hours": {},      "phone_numbers": [        null      ],      "socials": {},      "emails": [        null      ],      "settings": {},      "tags": [        null      ],      "reference_id": "string",      "domain": "string",      "data": {},      "slug": "string",      "property_images": [        {          "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",          "url": "string",          "thumb_url": "string",          "full_url": "string",          "caption": "string",          "alt_text": "string",          "tags": [            "string"          ],          "reference_url": "string",          "reference_id": "string",          "property_id": "05003a8a-8f3c-454b-8884-a906ec46f5f5",          "folder_id": "7695bac3-9397-4ec2-9335-45a2a16f1901"        }      ],      "images": [        {          "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",          "url": "string",          "thumb_url": "string",          "full_url": "string",          "caption": "string",          "alt_text": "string",          "tags": [            "string"          ],          "reference_url": "string",          "reference_id": "string",          "property_id": "05003a8a-8f3c-454b-8884-a906ec46f5f5",          "folder_id": "7695bac3-9397-4ec2-9335-45a2a16f1901"        }      ],      "videos": [        {          "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",          "type": "string",          "provider": "string",          "url": "string",          "title": "string",          "settings": {},          "tags": [            "string"          ],          "sort_order": 0,          "image": {            "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",            "url": "string",            "thumb_url": "string",            "full_url": "string",            "caption": "string",            "alt_text": "string",            "tags": [              "string"            ],            "reference_url": "string",            "reference_id": "string",            "property_id": "05003a8a-8f3c-454b-8884-a906ec46f5f5",            "folder_id": "7695bac3-9397-4ec2-9335-45a2a16f1901"          }        }      ],      "virtual_tours": [        {          "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",          "type": "string",          "provider": "string",          "url": "string",          "title": "string",          "settings": {},          "tags": [            "string"          ],          "sort_order": 0,          "image": {            "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",            "url": "string",            "thumb_url": "string",            "full_url": "string",            "caption": "string",            "alt_text": "string",            "tags": [              "string"            ],            "reference_url": "string",            "reference_id": "string",            "property_id": "05003a8a-8f3c-454b-8884-a906ec46f5f5",            "folder_id": "7695bac3-9397-4ec2-9335-45a2a16f1901"          }        }      ],      "background_image": {        "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",        "url": "string",        "thumb_url": "string",        "full_url": "string",        "caption": "string",        "alt_text": "string",        "tags": [          "string"        ],        "reference_url": "string",        "reference_id": "string",        "property_id": "05003a8a-8f3c-454b-8884-a906ec46f5f5",        "folder_id": "7695bac3-9397-4ec2-9335-45a2a16f1901"      },      "address": {        "street": "string",        "street_2": "string",        "city": "string",        "county": "string",        "state": "string",        "zipcode": "string",        "country": "string",        "latitude": -90,        "longitude": -180,        "timezone": "string"      },      "addresses": [        {          "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",          "label": "string",          "is_primary": true,          "street": "string",          "street_2": "string",          "city": "string",          "county": "string",          "state": "string",          "zipcode": "string",          "country": "string",          "latitude": -90,          "longitude": -180,          "timezone": "string"        }      ],      "amenity_ids": [        "272db5c6-ec20-4a04-b0b1-117c69dda74a"      ],      "pet_policy": {        "description": "string",        "restrictions": "string"      },      "leasing_settings": {        "applicant_hold_period_days": 0,        "availability_window_days": 0      },      "pricing_display_settings": {        "pricing_display_mode": "BASE_AND_TOTAL",        "hide_all_pricing": true,        "hide_price_when_no_availability": true,        "hidden_price_label": "string",        "no_availability_price_label": "string",        "no_price_label": "string",        "tmlp_label": "string",        "show_fee_breakdown": true,        "fee_breakdown_behavior": "EXPANDED",        "pricing_disclaimer_text": "string"      },      "office_hours_settings": {        "hours": [          {            "day": "string",            "time": "string"          }        ],        "display_heading": "string",        "disclaimer": "string"      },      "display_settings": {        "prepend_building_number_to_unit_number": true,        "show_non_marketable_amenities": true,        "hide_available_units": true      },      "website_settings": {        "permalink_base_url": "string",        "property_single_path": "string",        "property_archive_path": "string",        "floor_plan_single_path": "string",        "floor_plan_archive_path": "string",        "unit_single_path": "string",        "unit_archive_path": "string",        "unit_slug_template": "string",        "floor_plan_slug_template": "string"      }    },    "external_ids": {      "property1": "string",      "property2": "string"    },    "amenities": [      {        "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",        "created_at": "2019-08-24T14:15:22Z",        "updated_at": "2019-08-24T14:15:22Z",        "name": "string",        "is_enabled": true,        "is_property_marketable": true,        "code": "string",        "description": "string",        "type": "community_amenity",        "mits_amenity_type": "24 Hour Access",        "tags": [          null        ],        "reference_id": "string",        "property_ids": [          "03729b6d-baa6-45e3-8afa-c6e3d7ae6182"        ],        "images": [          {            "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",            "url": "string",            "thumb_url": "string",            "full_url": "string",            "caption": "string",            "alt_text": "string",            "tags": [              "string"            ],            "reference_url": "string",            "reference_id": "string",            "property_id": "05003a8a-8f3c-454b-8884-a906ec46f5f5",            "folder_id": "7695bac3-9397-4ec2-9335-45a2a16f1901"          }        ],        "videos": [          {            "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",            "type": "string",            "provider": "string",            "url": "string",            "title": "string",            "settings": {},            "tags": [              "string"            ],            "sort_order": 0,            "image": {              "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",              "url": "string",              "thumb_url": "string",              "full_url": "string",              "caption": "string",              "alt_text": "string",              "tags": [                "string"              ],              "reference_url": "string",              "reference_id": "string",              "property_id": "05003a8a-8f3c-454b-8884-a906ec46f5f5",              "folder_id": "7695bac3-9397-4ec2-9335-45a2a16f1901"            }          }        ],        "virtual_tours": [          {            "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",            "type": "string",            "provider": "string",            "url": "string",            "title": "string",            "settings": {},            "tags": [              "string"            ],            "sort_order": 0,            "image": {              "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",              "url": "string",              "thumb_url": "string",              "full_url": "string",              "caption": "string",              "alt_text": "string",              "tags": [                "string"              ],              "reference_url": "string",              "reference_id": "string",              "property_id": "05003a8a-8f3c-454b-8884-a906ec46f5f5",              "folder_id": "7695bac3-9397-4ec2-9335-45a2a16f1901"            }          }        ],        "unit_ids": [          "9d1db2ab-2a86-4942-acb8-6f789d59bd45"        ],        "floor_plan_ids": [          "3c9ff231-e3de-4724-ac4a-8bf606e6a487"        ]      }    ]  }}